GCXONEDocumentation

Event

On this page
  1. POST /event
  2. Request body
  3. Responses
  4. POST /event/eventIngest
  5. Request body
  6. Responses
  7. GET /event/{id}/streamingEndpoints
  8. Parameters
  9. Responses
  10. GET /event/{id}/true
  11. Parameters
  12. Responses

Operations on event resources. 4 endpoints, each relative to https://api.nxgen.cloud/api/v1 and authenticated as described under Authentication.

POST /event

Get streaming endpoints

Request body

Event Push

json
[
  {
    "cameraNumber": "number (required)",
    "dateTime": "string",
    "serverTimeStamp": "string",
    "sourceDeviceUniqueIdentifier": "string (required)",
    "eventCode": "string (required)",
    "alarmState": "boolean",
    "mediaContents": {
      "imageDetails": [
        {
          "imageBuffer": ""
        }
      ]
    }
  }
]

Responses

Status

Description

Body

200

Success

204

No Content

401

Unauthorized

403

Forbidden

404

Not Found

POST /event/eventIngest

Get streaming endpoints

Request body

Event Push

json
[
  {
    "cameraNumber": "number (required)",
    "dateTime": "string",
    "serverTimeStamp": "string",
    "sourceDeviceUniqueIdentifier": "string (required)",
    "eventCode": "string (required)",
    "alarmState": "boolean",
    "mediaContents": {
      "imageDetails": [
        {
          "imageBuffer": ""
        }
      ]
    }
  }
]

Responses

Status

Description

Body

200

Success

204

No Content

401

Unauthorized

403

Forbidden

404

Not Found

GET /event/{id}/streamingEndpoints

Get streaming endpoints

Parameters

Name

In

Type

Required

Description

id

path

string

yes

Event id

preStart

query

number

no

In milli seconds

postEnd

query

number

no

In milli seconds

expiry

query

number

no

In seconds

Responses

Status

Description

Body

200

Success

204

No Content

401

Unauthorized

403

Forbidden

404

Not Found

GET /event/{id}/true

get event

Parameters

Name

In

Type

Required

Description

id

path

string

yes

Responses

Status

Description

Body

200

Success

204

No Content

401

Unauthorized

403

Forbidden

404

Not Found

Was this page helpful?

Thank you — your feedback goes to the team that owns this page.